## org.apache.lucene.messages
Interface Message

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  MessageImpl

Deprecated. Will be moved to a private package inside flexible query parser (Lucene 4.0).

    @Deprecated
    public interface Message

extends Serializable

Message Interface for a lazy loading. For Native Language Support (NLS), system of software internationalization.

Method Summary
`Object[]` `getArguments()` Deprecated.
`String` `getKey()` Deprecated.
`String` `getLocalizedMessage()` Deprecated.
`String` `getLocalizedMessage(Locale locale)` Deprecated.

Method Detail

### getKey

    String getKey()

  Deprecated.

### getArguments

    Object[] getArguments()

  Deprecated.

### getLocalizedMessage

    String getLocalizedMessage()

  Deprecated.

### getLocalizedMessage

    String getLocalizedMessage(Locale locale)

  Deprecated.